<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>framework</artifactId>
		<groupId>org.richfaces</groupId>
		<version>3.1.3.GA</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.framework</groupId>
	<artifactId>impl-parent</artifactId>
	<version>3.1.3.GA</version>
	<packaging>pom</packaging>
	<name>
		Java Server Faces AJAX framework implementation parent file
	</name>
	<profiles>
		<profile>
			<id>jsf1_1</id>
			<activation>
				<activeByDefault>true</activeByDefault>
				<property>
					<name>jsfVersion</name>
					<value>1.1</value>
				</property>
			</activation>
			<dependencies>
				<dependency>
					<groupId>javax.servlet</groupId>
					<artifactId>servlet-api</artifactId>
					<version>2.4</version>
					<scope>provided</scope>
				</dependency>
				<dependency>
					<groupId>javax.servlet</groupId>
					<artifactId>jsp-api</artifactId>
					<version>2.0</version>
					<scope>provided</scope>
				</dependency>
				<dependency>
					<groupId>javax.faces</groupId>
					<artifactId>jsf-api</artifactId>
					<version>1.1_02</version>
					<exclusions>
						<exclusion>
							<artifactId>jsp-api</artifactId>
							<groupId>javax.servlet.jsp</groupId>
						</exclusion>
						<exclusion>
							<artifactId>jstl</artifactId>
							<groupId>javax.servlet.jsp.jstl</groupId>
						</exclusion>
					</exclusions>
				</dependency>
				<dependency>
					<groupId>javax.faces</groupId>
					<artifactId>jsf-impl</artifactId>
					<version>1.1_02</version>
					<scope>runtime</scope>
					<exclusions>
						<exclusion>
							<artifactId>jsp-api</artifactId>
							<groupId>javax.servlet.jsp</groupId>
						</exclusion>
						<exclusion>
							<artifactId>jstl</artifactId>
							<groupId>javax.servlet.jsp.jstl</groupId>
						</exclusion>
					</exclusions>
				</dependency>
				<dependency>
					<groupId>javax.servlet</groupId>
					<artifactId>jstl</artifactId>
					<version>1.0</version>
				</dependency>
			</dependencies>
		</profile>
		<profile>
			<id>jsf1_2</id>
			<activation>
				<property>
					<name>jsfVersion</name>
					<value>1.2</value>
				</property>
			</activation>
			<build>
				<plugins>
					<plugin>
						<artifactId>maven-compiler-plugin</artifactId>
						<version>2.0</version>
						<configuration>
							<source>1.5</source>
							<target>1.5</target>
						</configuration>
					</plugin>
					<plugin>
						<groupId>org.codehaus.mojo</groupId>
						<artifactId>
							build-helper-maven-plugin
						</artifactId>
						<executions>
							<execution>
								<id>add-source</id>
								<phase>process-sources</phase>
								<goals>
									<goal>add-source</goal>
								</goals>
								<configuration>
									<sources>
										<source>src/main/jsf12</source>
									</sources>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
			<dependencies>
				<dependency>
					<groupId>javax.servlet</groupId>
					<artifactId>servlet-api</artifactId>
					<version>2.5</version>
					<scope>provided</scope>
				</dependency>
				<dependency>
					<groupId>javax.servlet.jsp</groupId>
					<artifactId>jsp-api</artifactId>
					<version>2.1</version>
					<scope>provided</scope>
				</dependency>
				<dependency>
					<groupId>javax.faces</groupId>
					<artifactId>jsf-api</artifactId>
					<version>1.2_03</version>
				</dependency>
				<dependency>
					<groupId>javax.faces</groupId>
					<artifactId>jsf-impl</artifactId>
					<version>1.2_03</version>
					<scope>runtime</scope>
				</dependency>
			</dependencies>
		</profile>
	</profiles>
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>opensymphony</groupId>
			<artifactId>oscache</artifactId>
			<version>2.3</version>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>com.sun.facelets</groupId>
			<artifactId>jsf-facelets</artifactId>
			<version>1.1.11</version>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>javax.el</groupId>
			<artifactId>el-api</artifactId>
			<version>1.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>nekohtml</groupId>
			<artifactId>nekohtml</artifactId>
			<version>0.9.5</version>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.0.4</version>
		</dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.14</version>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.7.0</version>
		</dependency>
		<dependency>
			<groupId>commons-digester</groupId>
			<artifactId>commons-digester</artifactId>
			<version>1.8</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2</version>
		</dependency>
		<dependency>
			<groupId>org.richfaces.framework</groupId>
			<artifactId>richfaces-api</artifactId>
			<version>3.1.3.GA</version>
		</dependency>
	</dependencies>
	<properties>
		<jsfVersion>1.1</jsfVersion>
	</properties>
</project>

